
#include <TObject.h>
#include <TNamed.h>
#include <TClass.h>
#include <TRefArray.h>
#include <map>
#include <vector>
#include <iostream>

class position : public TObject
    {
	public:
	    position() : TObject() { };
	    position(int wx) : TObject(), xx(wx) {};
	    int get_x() { return xx; };
	private:

	int xx;
	ClassDef(position,1)    
    };

class db : public TNamed
    {
	public:
	    db() : TNamed() { };
	    static db* get();
	    position* get_db_position(int w) { return  m_pos[w]; };

	private:
	    db(char* name, const char* title);
	    static db* me;
	    std::map<int, position* > m_pos;
	
	ClassDef(db,1)
    };


class event : public TObject
    {
	public:
	    event() : TObject() { };
	    event(int w) : TObject(), i(w) {
					   v1_pos.push_back(db::get()->get_db_position(w)); 
					   v_pos.push_back(db::get()->get_db_position(w)); 
					   v_pos.push_back(db::get()->get_db_position(0));
					   vv_pos.push_back(*db::get()->get_db_position(w));
                                           vv_pos.push_back(*db::get()->get_db_position(0));
					   };

	    virtual ~event() {};
	private:
	    std::vector< position*>  v_pos;
  	    std::vector< position*>  v1_pos;
	    std::vector< position >  vv_pos;
	    int i;
	    
	ClassDef(event,1)
    };

